oracle.dbtools.plugin.api.cmdline.annotations

## Annotation Type Command

-     @Retention(value=RUNTIME)
       @Documented
       @Target(value=TYPE)
      public @interface Command

  Describes a command line command
  Author:
    cdivilly

- - ### Required Element Summary

    Required Elements
    Modifier and Type | Required Element and Description
    --- | ---
    `TranslatableText` | `description` The command description
    `String` | `name` The command name

  - ### Optional Element Summary

    Optional Elements
    Modifier and Type | Optional Element and Description
    --- | ---
    `Argument[]` | `arguments` Command Arguments
    `boolean` | `documented` Indicates if the command is documented
    `Option[]` | `options` Command Options
    `boolean` | `processArgs` Indicates that the command wishes to consume the command line arguments itself, without using `options()` or `arguments()`

- - ### Element Detail

    - #### name

          public abstract String name

      The command name
      Returns:
        command name

  - - #### description

          public abstract TranslatableText description

      The command description
      Returns:
        command description

  - - #### documented

          public abstract boolean documented

      Indicates if the command is documented
      Returns:
        true if the command is documented, false otherwise
      Default:
        true

  - - #### options

          public abstract Option[] options

      Command Options
      Returns:
        The command `Option`s
      Default:
        {}

  - - #### arguments

          public abstract Argument[] arguments

      Command Arguments
      Returns:
        The command `Argument`s
      Default:
        {}

  - - #### processArgs

          public abstract boolean processArgs

      Indicates that the command wishes to consume the command line arguments itself, without using `options()` or `arguments()`
      Returns:
        true if this Command wants to process the command line arguments itself
      Since:
        20.2
      Default:
        false

Copyright © 2010, 2022, Oracle and/or its affiliates.